Subject: bug#71209: [PATCH] Add font-locking for variables in go-ts-mode range clauses

From: Noah Peart <[email-masked]>
Date: Fri, 31 May 2024 18:56:00 -0700

> Only if you set treesit-font-lock-level to 4, right?

Yea, that's true - I assumed most people(?) do, but I just realized
I hadn't been doing that for years until tree-sitter - and now I've
become obsessive compulsive about my fonts.

On Fri, May 31, 2024 at 6:51 PM Dmitry Gutov <[email-masked]> wrote:

> On 01/06/2024 04:42, Noah Peart wrote:
> > I suppose most people keep the default font-locking for variable-name
> > and variable-use, so these missing rules go unnoticed.
>
> Only if you set treesit-font-lock-level to 4, right?
>